Skip to main content
GET
Get RSI for a pool.

Path Parameters

network
string
required

Network slug or ID (e.g., 'solana'). You can find the list of supported networks with their IDs here: /networks.

pool_address
string
required

Unique pool address or identifier. Such as 0xc7bbec68d12a0d1830360f8ec58fa599ba1b0e9b for WETH / USDT on ethereum.

Query Parameters

interval
enum<string>
default:24h

Candle interval the indicator is computed on. 1d is the same as 24h.

Available options:
1m,
5m,
10m,
15m,
30m,
1h,
6h,
12h,
24h,
1d
limit
integer
default:100

Maximum number of values to return.

Required range: 1 <= x <= 1000
start
string

First candle to return. Unix seconds, a relative offset from now such as -24h with units s, m, h, d, RFC3339 or a date at 00:00 UTC. Defaults to limit candles before end, cut to the last 7 days for keyless callers and free keys.

end
string

End of the range, exclusive. Same formats as start. Must not be in the future. Defaults to now.

cursor
string

The next_cursor of the previous page. Cannot be combined with start.

period
integer
default:14

Number of candles in the RSI window.

Required range: 2 <= x <= 200

Response

RSI values, oldest first.

network
string
pool_address
string

Set on pool indicators.

token_address
string

Set on token indicators.

indicator
enum<string>
Available options:
rsi,
ema,
macd,
bbands,
vwap
interval
string
parameters
object

Indicator parameters used, defaults included.

data
object[]
has_next_page
boolean
next_cursor
string

Pass as cursor to get the next page. Empty on the last page.